using System;

using Microsoft.SPOT;
using Microsoft.SPOT.Input;
using Microsoft.SPOT.Presentation;
using Microsoft.SPOT.Presentation.Controls;
using System.Threading;

namespace LogoPobot
{
    public class Program : Microsoft.SPOT.Application
    {

        public static void Main()
        {
            Program myApplication = new Program();

            Window mainWindow = myApplication.CreateWindow();

            // Create the object that configures the GPIO pins to buttons.
            GPIOButtonInputProvider inputProvider = new GPIOButtonInputProvider(null);

            // Start the application
            myApplication.Run(mainWindow);


            // Pause infinie
            Thread.Sleep(-1);

        }

        private Window mainWindow;

        public Window CreateWindow()
        {
            // Create a window object and set its size to the
            // size of the display.
            mainWindow = new Window();
            mainWindow.Height = SystemMetrics.ScreenHeight;
            mainWindow.Width = SystemMetrics.ScreenWidth;

            // Suppression du code par dfaut (texte "hello world")

            // Ajout du code pour afficher une image

            // 1) charger la ressource
            Bitmap logo = Resources.GetBitmap(Resources.BitmapResources.logo_Pobot);

            // 2) crer un UIElement de type Image pour charger notre bitmap
            Image img = new Image(logo);

            // 3) mettre cet lment d'interface (Image) dans la fentre (Window.Child)
            mainWindow.Child = img;

            // Connect the button handler to all of the buttons.
            mainWindow.AddHandler(Buttons.ButtonUpEvent, new ButtonEventHandler(OnButtonUp), false);

            // Set the window visibility to visible.
            mainWindow.Visibility = Visibility.Visible;

            // Attach the button focus to the window.
            Buttons.Focus(mainWindow);

            return mainWindow;
        }

        private void OnButtonUp(object sender, ButtonEventArgs e)
        {
            // Print the button code to the Visual Studio output window.
            Debug.Print(e.Button.ToString());
        }


    }
}
